Subject: Re: bug#14494: ./test-driver missing in t/distcheck-pr10470.sh

From: Peter Rosin <[email-masked]>
Date: Wed, 29 May 2013 17:20:52 +0200

On 2013-05-29 16:54, Stefano Lattarini wrote:
> What if you do something like:
> 
>   $EGREP "(^| )(rm|find):.*$distdir" output
> 
> instead?

Yup, that did it. Thanks!

I'm pushing the following.

Cheers,
Peter

>From eb33ae2b29f33bcf65afc036c9a92a61f77f75e3 Mon Sep 17 00:00:00 2001
From: Peter Rosin <[email-masked]>
Date: Wed, 29 May 2013 17:10:40 +0200
Subject: [PATCH] tests: prune some weed in a non-POSIX test

Fixes automake bug#14494.

* t/distcheck-pr10470.sh: Make sure the test-driver is installed. Adjust
to run_make changes. Adjust grep pattern to match new output.

Signed-off-by: Peter Rosin <[email-masked]>
Co-authored-by: Stefano Lattarini <[email-masked]>
---
 t/distcheck-pr10470.sh |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/t/distcheck-pr10470.sh b/t/distcheck-pr10470.sh
index f6cb160..a2781df 100644
--- a/t/distcheck-pr10470.sh
+++ b/t/distcheck-pr10470.sh
@@ -45,13 +45,13 @@ chmod a+x foo.test
 
 $ACLOCAL
 $AUTOCONF
-$AUTOMAKE
+$AUTOMAKE -a
 ./configure
 
 # We can build the distribution.
-run_make -M -e FAIL distcheck
+run_make -M distcheck
 # Sanity check: verify that our code has hit a problem removing
 # the distdir, but has recovered from it.
-grep "rm:.*$destdir" output || fatal_ "expected code path not covered"
+$EGREP "(^| )(rm|find):.*$distdir" output || fatal_ "expected code path not covered"
 
 :
-- 
1.7.9